using Godot;

public static class Globals {
    public const float EpsPosition = 0.01f;
    public const float EpsPositionSquared = EpsPosition * EpsPosition;
    public const float EpsRadians = 0.1f * Mathf.Pi / 180f;
    public const float EpsRadiansSquared = EpsRadians * EpsRadians;

    public static float CalcPlaneAngle(Transform worldTransform) {
        return worldTransform.basis.x.SignedAngleTo(Vector3.Right.Rotated(Vector3.Up, Mathf.Pi * 0.5f), -Vector3.Up);
    }
}