using Godot;

namespace GodotComponentTest.components;

public class InteractionComponent : Component {
    [Signal]
    private delegate void InteractionStart(Spatial owningEntity, Spatial targetEntity);

    [Signal]
    private delegate void InteractionEnd(Spatial owningEntity, Spatial targetEntity);

    public void EndInteraction() {
        hasStopped = true;
    }

    public bool hasStopped;
    public Spatial OwningEntity;
    public Spatial TargetEntity;
}