extends VBoxContainer

var world_size_label = null
var world_size_slider = null

onready var WorldTextureRect = $WorldTextureRect
onready var HeightTextureRect = $HeightTextureRect

# Called when the node enters the scene tree for the first time.
func _ready():
	world_size_label = find_node("WorldSizeLabel")
	world_size_slider = find_node("WorldSizeSlider");
	
	world_size_slider.value = 4

func _on_HSlider_value_changed(value):
	world_size_label.text = str(value)

func _on_ShowTexturesCheckButton_toggled(button_pressed):
	WorldTextureRect.visible = button_pressed
	HeightTextureRect.visible = button_pressed
